Get Refunds
Refund operations of the organization's stores in a period, one row per refund, newest first.
HTTPBearerAuthorizationBearer <token>date_from*Date FromFirst shop calendar day of the period (inclusive). Refunds are filtered by the shop-local day of the refund.
datedate_to*Date ToLast shop calendar day of the period (inclusive); at most tomorrow (UTC); the period is at most 366 days inclusive.
datestore_ids?array<integer>|Only these organization stores; an unknown, foreign or deleted id answers 404. Repeated values: ?store_ids=12&store_ids=17
include?array<>Components counted in net_shop besides products. Repeated values: ?include=shipping&include=tip.
[]skip?Skip0 <= value0limit?Limit1 <= value <= 25050Successful Response
application/json- response
count*Countdata*array<>curl -X GET 'https://app.copyhero.app/api/v1/analytics/refunds?date_from=2019-08-24&date_to=2019-08-24'{ "count": 0, "data": [ { "store_id": 0, "order_gid": "string", "agreement_gid": "string", "happened_at": "2019-08-24T14:15:22Z", "net_shop": "string", "components": { "property1": "string", "property2": "string" }, "currency": "AED", "products": [ { "internal_product_id": "17d65d0a-2bba-46da-af25-e6db2fc23598", "title": "string", "quantity": 0, "amount_shop": "string" } ] } ]}Get Product Analytics GET
Get product analytics including total products in user's stores.
Get Store Analytics GET
Get detailed analytics for a specific store. Returns store-specific metrics including: - store_id: The store ID - store_name: The store name - totals: Aggregated batch_count, task_count, jobs_count - workflow_breakdown: Per-workflow statistics for this store Access Control: - Regular users: Can only access their owned or employed stores (403 otherwise) - Superusers in a browser session: can access any store (API keys and MCP never act as superuser)